# Commands in /vis/

## /vis/

Visualization commands.

## Sub-directories :

/vis/ASCIITree/

  Commands for ASCIITree control.

/vis/GAGTree/

  Commands for GAGTree control.

/vis/heprep/

  HepRep commands.

/vis/rayTracer/

  RayTracer commands.

/vis/scene/

  Operations on Geant4 scenes.

/vis/sceneHandler/

  Operations on Geant4 scene handlers.

/vis/viewer/

  Operations on Geant4 viewers.

## Commands :

enable [enabled]

  Enables/disables visualization system.

  Available at all Geant4 states.

  Parameters

  enabled | type b | Omittable : default value = 1 |

disable

  Disables visualization system.

  Available at all Geant4 states.

verbose [verbosity]

  Simple graded message scheme - digit or string (1st character defines):
  0) quiet, // Nothing is printed.
  1) startup, // Startup and endup messages are printed...
  2) errors, // ...and errors...
  3) warnings, // ...and warnings...
  4) confirmations, // ...and confirming messages...
  5) parameters, // ...and parameters of scenes and views...
  6) all // ...and everything available.

  Available at all Geant4 states.

  Parameters

  verbosity | type s | Omittable : default value = warnings |

drawTree [physical-volume-name] [system]

  (DTREE) Creates a scene consisting of this physical volume and produces a representation of the geometry hieracrhy.
  The scene becomes current.

  Available at all Geant4 states.

  Parameters

  physical-volume-name | type s | Omittable : default value = world |
  system | type s | Omittable : default value = ATree |

drawView [theta-degrees] [phi-degrees] [pan-right] [pan-up] [pan-unit] [zoom-factor] [dolly] [dolly-unit]

  Draw view from this angle, etc.

  Available at all Geant4 states.

  Parameters

  theta-degrees | type d | Omittable : default value = 0 |
  phi-degrees | type d | Omittable : default value = 0 |
  pan-right | type d | Omittable : default value = 0 |
  pan-up | type d | Omittable : default value = 0 |
  pan-unit | type s | Omittable : default value = cm |
  zoom-factor | type d | Omittable : default value = 1 |
  dolly | type d | Omittable : default value = 0 |
  dolly-unit | type s | Omittable : default value = cm |

drawVolume [physical-volume-name]

  Creates a scene consisting of this physical volume and asks the current viewer to draw it.
  The scene becomes current.

  Available at all Geant4 states.

  Parameters

  physical-volume-name | type s | Omittable : default value = world |

open [graphics-system-name] [window-size-hint]

  Creates a scene handler ready for drawing.
  The scene handler becomes current (the name is auto-generated).

  Available at all Geant4 states.

  Parameters

  graphics-system-name | type s |  | Parameter candidates : ATree DAWNFILE GAGTree HepRepFile HepRepXML RayTracer VRML1FILE VRML2FILE DAWN OGLIX OGLSX
  window-size-hint | type i | Omittable : default value = 600 |

specify [logical-volume-name] [depth-of-descent] [booleans-flag] [voxels-flag] [readout-flag]

  Draws logical volume with Boolean components, voxels and readout geometry.
  Creates a scene consisting of this logical volume and asks the current viewer to draw it to the specified depth of descent showing boolean components (if any), voxels (if any) and readout geometry (if any), under control of the appropriate flag.
  Note: voxels are not constructed until start of run - /run/beamOn.
  The scene becomes current.

  Available at all Geant4 states.

  Parameters

  logical-volume-name | type s |  |
  depth-of-descent | type i | Omittable : default value = 1 |
  booleans-flag | type b | Omittable : default value = 1 |
  voxels-flag | type b | Omittable : default value = 1 |
  readout-flag | type b | Omittable : default value = 1 |